function[R] = Digernes()

%% --------------- Global Variables ------------------
%   Lwl         Vannlinjelengde                 [m]
%   B           Bredde                          [m]
%   T           Dypgang                         [m]
%   DeplV       Deplasement volum               [m^3]
%   Fn          Froude tall

%% ---------------  Variable ------------------
global Lwl B T DispV Fn V n1 maxS

R   = zeros(n1,maxS);           % Motstandsvektor

%% ---------------  Konstanter ------------------
a   = 0.795154;  
b   = 0.401732;
c   = 0.438858;
delta = 0.959433;
beta  = 12.535261;

%% ---------------  Results ------------------

for i = 1:n1
    R(i,:)   = (a*(Lwl(i)/B(i))^(b)*(B(i)/T(i))^(c)*DispV(i)^(delta).*exp(beta*Fn(i,:)))./V(i,:);  % Motstand i kN
end

